{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "PPP",
    "PDP",
    "IGI"
  ],
  "key": {
    "P": {
      "item": "minecraft:glass_pane"
    },
    "D": {
      "item": "minecraft:diamond"
    },
    "I": {
      "item": "minecraft:iron_ingot"
    },
    "G": {
      "item": "minecraft:gold_ingot"
    }
  },
  "result": {
    "item": "minecraft:structure_block"
  }
}